#include "project_files.h"

project_files::project_files()
{
    f1_path = "";
    f2_path = "";
}

project_files::~project_files()
{
    f1_path.clear();
    f2_path.clear();
}

QString project_files::get_f1_path()
{
    return f1_path;
}

QString project_files::get_f2_path()
{
    return f2_path;
}

void project_files::set_f1_path(QString f1)
{
#ifdef WIN32
              f1 = f1.replace("/","\\");
#else
              f1 = f1.replace("\\","/");
#endif
    f1_path.clear();
    f1_path = f1;
}

void project_files::set_f2_path(QString f2)
{
#ifdef WIN32
              f2 = f2.replace("/","\\");
#else
              f2 = f2.replace("\\","/");
#endif
    f2_path.clear();
    f2_path = f2;
}



void project_files::flip_fpaths()
{
    QString temp;
    temp = f1_path;
    f1_path = f2_path;
    f2_path = temp;
}


bool project_files::isPathEmpty()
{
    if(f1_path.isEmpty() || f2_path.isEmpty())
        return 1;
    else
        return 0;
}


bool project_files::isPossiblePaths(bool mode)
{
    if( (f2_path.contains(f1_path) && mode == 0) ||
        (f1_path.contains(f2_path) && mode == 1))
        return 1;
    else
        return 0;
}

bool project_files::isPathReadable()
{
    temp1.setPath(f1_path);
    temp2.setPath(f2_path);

    if(temp1.isReadable() || temp2.isReadable())
        return 1;
    else
        return 0;
}
