#ifndef PROJECT_OPTIONS_H
#define PROJECT_OPTIONS_H

#include <QStringList>

class project_options
{
public:
    project_options();
    ~project_options();

    bool get_add_subdir(void);
    bool get_add_hidden(void);
    bool get_remove_non_existant(void);
    bool get_follow_sym(void);
    bool get_mode(void);
    bool is_canceled(void);

    void set_add_subdir(bool);
    void set_add_hidden(bool);
    void set_remove_non_existant(bool);
    void set_follow_sym(bool);
    void set_mode(bool);
    void set_cancel(bool);

    void set_excl_file_types(QStringList);
    QStringList get_excl_file_types(void);

private:
    bool opt[6];
    QStringList excl_file_types;
};

#endif // PROJECT_OPTIONS_H
