#ifndef PROJECT_FILES_H
#define PROJECT_FILES_H

#include <QString>
#include <QDir>

class project_files
{
public:
    project_files();  
    ~project_files();

    QString get_f1_path(void);
    QString get_f2_path(void);

    void set_f1_path(QString);
    void set_f2_path(QString);

    bool isPathEmpty(void);
    bool isPossiblePaths(bool);
    bool isPathReadable(void);

    void flip_fpaths();

private:
    QString f1_path;
    QString f2_path;
    QDir temp1;
    QDir temp2;
};

#endif // PROJECT_FILES_H
