/*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef SUMMARY_H
#define SUMMARY_H

#include <QDialog>
#include <QTime>
#include "project_data/project.h"

namespace Ui {
    class summary;
}

class summary : public QDialog
{
    Q_OBJECT

public:
    explicit summary(QWidget *parent = 0);
    ~summary();

    void set_project(project*,bool); // 0=sync 1=analys

private:
    Ui::summary *ui;
    void act_gui();

    project *pro;
    bool process;

private slots:
    void on_pbtn_close_clicked();
};

#endif // SUMMARY_H
